Project

Profile

Help

Issue #8200

ValueError: invalid literal for int() with base 10 during migration (likely treeinfo related)

Added by jsherril@redhat.com 10 months ago. Updated 10 months ago.

Status:
CLOSED - NOTABUG
Priority:
Normal
Assignee:
Sprint/Milestone:
Start date:
Due date:
Estimated time:
Severity:
2. Medium
Platform Release:
OS:
Triaged:
No
Groomed:
No
Sprint Candidate:
No
Tags:
Katello
Sprint:
Sprint 90
Quarter:
Q1-2021

Description

ValueError: invalid literal for int() with base 10: '1601956550.79'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/rq/worker.py", line 936, in perform_job
rv = job.perform()
File "/usr/lib/python3.6/site-packages/rq/job.py", line 684, in perform
self._result = self._execute()
File "/usr/lib/python3.6/site-packages/rq/job.py", line 690, in _execute
return self.func(*self.args, **self.kwargs)
File "/usr/lib/python3.6/site-packages/pulp_2to3_migration/app/tasks/migrate.py", line 141, in migrate_from_pulp2
migrate_content(plan, skip_corrupted=skip_corrupted)
File "/usr/lib/python3.6/site-packages/pulp_2to3_migration/app/migration.py", line 47, in migrate_content
plugin.migrator.migrate_content_to_pulp3(skip_corrupted=skip_corrupted)
File "/usr/lib/python3.6/site-packages/pulp_2to3_migration/app/plugin/rpm/migrator.py", line 145, in migrate_content_to_pulp3
loop.run_until_complete(dm.create())
File "/usr/lib64/python3.6/asyncio/base_events.py", line 484, in run_until_complete
return future.result()
File "/usr/lib/python3.6/site-packages/pulp_2to3_migration/app/plugin/content.py", line 90, in create
await pipeline
File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py", line 225, in create_pipeline
await asyncio.gather(*futures)
File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py", line 43, in __call__
await self.run()
File "/usr/lib/python3.6/site-packages/pulp_2to3_migration/app/plugin/content.py", line 182, in run
self.migrate_to_pulp3(cmodel, ctype)
File "/usr/lib/python3.6/site-packages/pulp_2to3_migration/app/plugin/content.py", line 277, in migrate_to_pulp3
pulp3content, extra_info = pulp_2to3_detail_content.create_pulp3_content()
File "/usr/lib/python3.6/site-packages/pulp_2to3_migration/app/plugin/rpm/pulp_2to3_models.py", line 774, in create_pulp3_content
treeinfo_serialized = self.get_treeinfo_serialized()
File "/usr/lib/python3.6/site-packages/pulp_2to3_migration/app/plugin/rpm/pulp_2to3_models.py", line 745, in get_treeinfo_serialized
treeinfo.load(f=os.path.join(self.pulp2content.pulp2_storage_path, namespace))
File "/usr/lib/python3.6/site-packages/pulp_rpm/app/kickstart/treeinfo.py", line 55, in load
super().load(f)
File "/usr/lib/python3.6/site-packages/productmd/common.py", line 263, in load
self.deserialize(parser)
File "/usr/lib/python3.6/site-packages/pulp_rpm/app/kickstart/treeinfo.py", line 83, in deserialize
current.deserialize(parser)
File "/usr/lib/python3.6/site-packages/productmd/treeinfo.py", line 319, in deserialize
self.deserialize_1_0(parser)
File "/usr/lib/python3.6/site-packages/productmd/treeinfo.py", line 347, in deserialize_1_0
self.build_timestamp = parser.getint(self._section, "build_timestamp")
File "/usr/lib64/python3.6/configparser.py", line 819, in getint
fallback=fallback, **kwargs)
File "/usr/lib64/python3.6/configparser.py", line 809, in _get_conv
**kwargs)
File "/usr/lib64/python3.6/configparser.py", line 803, in _get
return conv(self.get(section, option, **kwargs))
ValueError: invalid literal for int() with base 10: '1601956550.79'

History

#2 Updated by ttereshc 10 months ago

  • Sprint/Milestone set to 0.9.0

#3 Updated by ttereshc 10 months ago

  • Status changed from NEW to CLOSED - NOTABUG
  • Assignee set to ttereshc
  • Sprint set to Sprint 90
  • Quarter set to Q1-2021

It's an issue with productmd dependency. I opened an upstream issue https://github.com/release-engineering/productmd/issues/152 and a PR to fix it https://github.com/release-engineering/productmd/pull/153.

Closing this ticket since it's not a Pulp issue.

Please register to edit this issue

Also available in: Atom PDF